/*
 * Any code and mechanism in this module may not be used in any from
 * without permissions. COPYRIGHT (C) 2009 SONY Corporation,
 * all right RESERVED.
 *
 */

#include <stdint.h>

#ifndef __ASCACMN_IMSG_H
#define __ASCACMN_IMSG_H

//******************************************************************************
// Referred from Internal Messages
//******************************************************************************

typedef enum _AsFps {                       /* FpsType */
    AS_FPS_UNKNOWN = 0,
    AS_FPS_NONE,
    AS_FPS_50_I,                            /* 50i */
    AS_FPS_59_94_I,                         /* 59.94i */
    AS_FPS_23_98_P,                         /* 23.98p */
    AS_FPS_50_P,                            /* 50p */
    AS_FPS_59_94_P,                         /* 59.94p */
    AS_FPS_25_P,                            /* 25p */
    AS_FPS_29_97_P,                         /* 29.97p */
    AS_FPS_24_P,                            /* 24p */
    AS_FPS_47_95_P,                         /* 47.95p */
    AS_FPS_48_P,                            /* 48p */
    AS_FPS_60_P,                            /* 60p */
    AS_FPS_VAR_REC                          /* for Variable Rec Mode */
} AsFps;

typedef enum _AsVideoCodec {                /* VidioCodec */
    AS_VC_UNKNOWN = 0,
    AS_VC_NONE,
    AS_VC_DV25_411,                         /* DV25_411 */
    AS_VC_DV25D_411,                        /* DV25DATA_411 */
    AS_VC_DV25_420,                         /* DV25_420 */
    AS_VC_DV25D_420,                        /* DV25DATA_420 */
    AS_VC_IMX30,                            /* IMX30 */
    AS_VC_IMX40,                            /* IMX40 */
    AS_VC_IMX50,                            /* IMX50 */
    AS_VC_MPEG2HD25CBR_1440_1080_MPH14L,    /* MPEG2HD25CBR_1440_1080_MP@H-14 */
    AS_VC_MPEG2HD12_5_CBR_1440_540_MPH14L,  /* MPEG2HD12.5CBR_1440_540_MP@H-14 */
    AS_VC_MPEG2HD17_5_1440_1080_MPHL,       /* MPEG2HD17.5_1440_1080_MP@HL */
    AS_VC_MPEG2HD25_1440_1080_MPHL,         /* MPEG2HD25_1440_1080_MP@HL */
    AS_VC_MPEG2HD35_1440_1080_MPHL,         /* MPEG2HD35_1440_1080_MP@HL */
    AS_VC_MPEG2HD8_75_1440_540_MPHL,        /* MPEG2HD8.75_1440_540_MP@HL */
    AS_VC_MPEG2HD12_5_1440_540_MPHL,        /* MPEG2HD12.5_1440_540_MP@HL */
    AS_VC_MPEG2HD17_5_1440_540_MPHL,        /* MPEG2HD17.5_1440_540_MP@HL */
    AS_VC_MPEG2HD35_1920_1080_422PHL,       /* MPEG2HD35_1920_1080_422P@HL */
    AS_VC_MPEG2HD50_1920_1080_422PHL,       /* MPEG2HD50_1920_1080_422P@HL */
    AS_VC_MPEG2HD25_1920_540_422PHL,        /* MPEG2HD25_1920_540_422P@HL */
    AS_VC_MPEG2HD50_CBR_1920_1080_422PHL,   /* MPEG2HD50CBR_1920_1080_422P@HL */
    AS_VC_MPEG2HD25_CBR_1920_540_422PHL,    /* MPEG2HD25CBR_1920_540_422P@HL */
    AS_VC_MPEG2HD50_1280_720_422PHL,        /* MPEG2HD50_1280_720_422P@HL */
    AS_VC_MPEG2HD50_CBR_1280_720_422PHL,    /* MPEG2HD50CBR_1280_720_422P@HL */
    AS_VC_MPEG2HD35_1280_720_MPHL,          /* MPEG2HD35_1280_720_MP@HL */
    AS_VC_MPEG2HD35_1920_1080_MPHL,         /* MPEG2HD35_1920_1080_MP@HL(for SmallCore) */
    AS_VC_MPEG2HD25_1280_720_MPHL,          /* MPEG2HD25_1280_720_MP@HL */
    AS_VC_MPEG2HD25CBR_1280_720_MPHL,       /* MPEG2HD25CBR_1280_720_MP@HL */
    AS_VC_AVC50CBG_1440_1080_H10IPL4,       /* AVC50CBG_1440_1080_H10IP@L4 */
    AS_VC_AVC100CBG_1920_1080_H422IPL41,    /* AVC100CBG_1920_1080_H422IP@L41 */
    AS_VC_PD_PROXY,                         /* proxy */
    AS_VC_MPEG2HD18_3_CBR_1280_720_MPH14,   /* MPEG2HD18.3CBR_1280_720_MP@H-14 */
    AS_VC_MPEG2HD18_3_CBR_1280_720_MPHL,    /* MPEG2HD18.3CBR_1280_720_MP@HL */
    AS_VC_AVC100CBG_1920_1080_H422IPL42,    /* AVC100CBG_1920_1080_H422IP@L42 */
    AS_VC_AVC_2048_1080_H422IPL42,          /* AVC_2048_1080_H422IP@L42 */
    AS_VC_AVC_3840_2160_H422IPL51,          /* AVC_3840_2160_H422IP@L51 */
    AS_VC_AVC_3840_2160_H422IPL52,          /* AVC_3840_2160_H422IP@L52 */
    AS_VC_AVC_4096_2160_H422IPL51,          /* AVC_4096_2160_H422IP@L51 */
    AS_VC_AVC_4096_2160_H422IPL52,          /* AVC_4096_2160_H422IP@L52 */
    AS_VC_AVC_1920_1080_H422PL41,           /* AVC_1920_1080_H422P@L41 */
    AS_VC_AVC_1920_1080_H422PL42,           /* AVC_1920_1080_H422P@L42 */
    AS_VC_AVC_3840_2160_HPL51,              /* AVC_3840_2160_HP@L51 */
    AS_VC_AVC_3840_2160_HPL52,              /* AVC_3840_2160_HP@L52 */
    AS_VC_MPEG4SSTP_LITE_1280_720_422,      /* MPEG4SStP_Lite_1280_720_422 */
    AS_VC_MPEG4SSTP_LITE_1920_1080_422,     /* MPEG4SStP_Lite_1920_1080_422 */
    AS_VC_MPEG4SSTP_SQ_1280_720_422,        /* MPEG4SStP_SQ_1280_720_422 */
    AS_VC_MPEG4SSTP_SQ_1920_1080_422,       /* MPEG4SStP_SQ_1920_1080_422 */
    AS_VC_MPEG4SSTP_SQ_1920_1080_444RGB,    /* MPEG4SStP_SQ_1920_1080_444RGB */
    AS_VC_MPEG4SSTP_HQ_1920_1080_444RGB,    /* MPEG4SStP_HQ_1920_1080_444RGB */
    AS_VC_MPEG4SSTP_HQ_1920_1080_444RGB12,  /* MPEG4SStP_HQ_1920_1080_444RGB12 */
    AS_VC_MPEG4SSTP_SQ_2048_1080_444RGB,    /* MPEG4SStP_SQ_2048_1080_444RGB */
    AS_VC_MPEG4SSTP_SQ_2048_1080_444XYZ,    /* MPEG4SStP_SQ_2048_1080_444XYZ */
    AS_VC_MPEG4SSTP_HQ_2048_1080_444RGB,    /* MPEG4SStP_HQ_2048_1080_444RGB */
    AS_VC_MPEG4SSTP_HQ_2048_1080_444XYZ,    /* MPEG4SStP_HQ_2048_1080_444XYZ */
    AS_VC_MPEG4SSTP_HQ_2048_1556_444RGB,    /* MPEG4SStP_HQ_2048_1556_444RGB */
    AS_VC_F65RAWLITE_4096_2160,             /* F65RAWLite_4096_2160 */
    AS_VC_F65RAWSQ_4096_2160,               /* F65RAWSQ_4096_2160 */
    AS_VC_F65RAWHQ_4096_2160,               /* F65RAWHQ_4096_2160 */
    AS_VC_F65RAWHFRLITE_4096_2160,          /* F65RAWHFRLite_4096_2160 */
    AS_VC_F65RAWHFRSQ_4096_2160,            /* F65RAWHFRSQ_4096_2160 */
    AS_VC_F65RAWHFRHQ_4096_2160,            /* F65RAWHFRHQ_4096_2160 */
    AS_VC_F55RAWLITE_2048_1080,             /* F55RAWLite_2048_1080 */ 
    AS_VC_F55RAWLITE_4096_2160,             /* F55RAWLite_4096_2160 */
    AS_VC_F55RAWSQ_2048_1080,               /* F55RAWSQ_2048_1080 */
    AS_VC_F55RAWSQ_4096_2160,               /* F55RAWSQ_4096_2160 */
    AS_VC_F55RAWHQ_2048_1080,               /* F55RAWHQ_2048_1080 */
    AS_VC_F55RAWHQ_4096_2160,               /* F55RAWHQ_4096_2160 */
    AS_VC_AVC100CBG_1280_720_H422IPL41,     /* AVC100CBG_1280_720_H422IP@L41 */
    AS_VC_AVC100_1280_720_H422IPL4,         /* AVC100_1280_720_H422IP@L4 */
    AS_VC_AVC100_1280_720_H422IPL41,        /* AVC100_1280_720_H422IP@L41 */
    AS_VC_AVC100_1920_1080_H422IPL4,        /* AVC100_1920_1080_H422IP@L4 */
    AS_VC_AVC100_1920_1080_H422IPL41,       /* AVC100_1920_1080_H422IP@L41 */
    AS_VC_AVC100_1920_1080_H422IPL42,       /* AVC100_1920_1080_H422IP@L42 */
    AS_VC_AVC100_1920_1080_H422IPL5,        /* AVC100_1920_1080_H422IP@L5 */
    AS_VC_AVC200CBG_1920_1080_H422IPL41,    /* AVC200CBG_1920_1080_H422IP@L41 */
    AS_VC_AVC200CBG_1920_1080_H422IPL5,     /* AVC200CBG_1920_1080_H422IP@L5 */
    AS_VC_AVCCBG_2048_1080_H422IPL42,       /* AVCCBG_2048_1080_H422IP@L42 */
    AS_VC_AVCCBG_2048_1080_H422IPL5,        /* AVCCBG_2048_1080_H422IP@L5 */
    AS_VC_AVC_2048_1080_H422IPL5,           /* AVC_2048_1080_H422IP@L5 */
    AS_VC_AVCCBG_3840_2160_H422IPL51,       /* AVCCBG_3840_2160_H422IP@L51 */
    AS_VC_AVCCBG_3840_2160_H422IPL52,       /* AVCCBG_3840_2160_H422IP@L52 */
    AS_VC_AVC480CBG_3840_2160_H422IPL51,    /* AVC480CBG_3840_2160_H422IP@L51 */
    AS_VC_AVC480CBG_3840_2160_H422IPL52,    /* AVC480CBG_3840_2160_H422IP@L52 */
    AS_VC_AVC480_3840_2160_H422IPL51,       /* AVC480_3840_2160_H422IP@L51 */
    AS_VC_AVC480_3840_2160_H422IPL52,       /* AVC480_3840_2160_H422IP@L52 */
    AS_VC_AVCCBG_4096_2160_H422IPL51,       /* AVCCBG_4096_2160_H422IP@L51 */
    AS_VC_AVCCBG_4096_2160_H422IPL52,       /* AVCCBG_4096_2160_H422IP@L52 */
    AS_VC_AVC480CBG_4096_2160_H422IPL51,    /* AVC480CBG_4096_2160_H422IP@L51 */
    AS_VC_AVC480CBG_4096_2160_H422IPL52,    /* AVC480CBG_4096_2160_H422IP@L52 */
    AS_VC_AVC480_4096_2160_H422IPL51,       /* AVC480_4096_2160_H422IP@L51 */
    AS_VC_AVC480_4096_2160_H422IPL52,       /* AVC480_4096_2160_H422IP@L52 */
    AS_VC_AVC_1280_720_MPL4,                /* AVC_1280_720_MP@L4 */
    AS_VC_AVC_1280_720_MPL41,               /* AVC_1280_720_MP@L41 */
    AS_VC_AVC_1280_720_MPL42,               /* AVC_1280_720_MP@L42 */
    AS_VC_AVC_1280_720_MPL5,                /* AVC_1280_720_MP@L5 */
    AS_VC_AVC_1280_720_HPL4,                /* AVC_1280_720_HP@L4 */
    AS_VC_AVC_1280_720_HPL41,               /* AVC_1280_720_HP@L41 */
    AS_VC_AVC_1280_720_HPL42,               /* AVC_1280_720_HP@L42 */
    AS_VC_AVC_1280_720_HPL5,                /* AVC_1280_720_HP@L5 */
    AS_VC_AVC35_1280_720_H422PL41,          /* AVC35_1280_720_H422P@L41 */
    AS_VC_AVC50_1280_720_H422PL41,          /* AVC50_1280_720_H422P@L41 */
    AS_VC_AVC_1440_1080_MPL4,               /* AVC_1440_1080_MP@L4 */
    AS_VC_AVC_1440_1080_MPL41,              /* AVC_1440_1080_MP@L41 */
    AS_VC_AVC_1440_1080_MPL42,              /* AVC_1440_1080_MP@L42 */
    AS_VC_AVC_1440_1080_MPL5,               /* AVC_1440_1080_MP@L5 */
    AS_VC_AVC_1440_1080_HPL4,               /* AVC_1440_1080_HP@L4 */
    AS_VC_AVC_1440_1080_HPL41,              /* AVC_1440_1080_HP@L41 */
    AS_VC_AVC_1440_1080_HPL42,              /* AVC_1440_1080_HP@L42 */
    AS_VC_AVC_1440_1080_HPL5,               /* AVC_1440_1080_HP@L5 */
    AS_VC_AVC_1920_1080_MPL4,               /* AVC_1920_1080_MP@L4 */
    AS_VC_AVC_1920_1080_MPL41,              /* AVC_1920_1080_MP@L41 */
    AS_VC_AVC_1920_1080_MPL42,              /* AVC_1920_1080_MP@L42 */
    AS_VC_AVC_1920_1080_MPL5,               /* AVC_1920_1080_MP@L5 */
    AS_VC_AVC_1920_1080_MPL51,              /* AVC_1920_1080_MP@L51 */
    AS_VC_AVC_1920_1080_HPL4,               /* AVC_1920_1080_HP@L4 */
    AS_VC_AVC_1920_1080_HPL41,              /* AVC_1920_1080_HP@L41 */
    AS_VC_AVC_1920_1080_HPL42,              /* AVC_1920_1080_HP@L42 */
    AS_VC_AVC_1920_1080_HPL5,               /* AVC_1920_1080_HP@L5 */
    AS_VC_AVC_1920_1080_HPL51,              /* AVC_1920_1080_HP@L51 */
    AS_VC_AVC25_1920_1080_H422PL41,         /* AVC25_1920_1080_H422P@L41 */
    AS_VC_AVC35_1920_1080_H422PL41,         /* AVC35_1920_1080_H422P@L41 */
    AS_VC_AVC35_1920_1080_H422PL42,         /* AVC35_1920_1080_H422P@L42 */
    AS_VC_AVC50_1920_1080_H422PL41,         /* AVC50_1920_1080_H422P@L41 */
    AS_VC_AVC50_1920_1080_H422PL42,         /* AVC50_1920_1080_H422P@L42 */
    AS_VC_AVC_3840_2160_MPL51,              /* AVC_3840_2160_MP@L51 */
    AS_VC_AVC_3840_2160_MPL52,              /* AVC_3840_2160_MP@L52 */
    AS_VC_AVC_Proxy_480_270_MPL21,          /* AVC_Proxy_480_270_MP@L21 */
    AS_VC_AVC_Proxy_480_270_MPL3,           /* AVC_Proxy_480_270_MP@L3 */
    AS_VC_AVC_Proxy_480_270_HPL21,          /* AVC_Proxy_480_270_HP@L21 */
    AS_VC_AVC_Proxy_480_270_HPL3,           /* AVC_Proxy_480_270_HP@L3 */
    AS_VC_AVC_Proxy_640_360_MPL3,           /* AVC_Proxy_640_360_MP@L3 */
    AS_VC_AVC_Proxy_640_360_MPL31,          /* AVC_Proxy_640_360_MP@L31 */
    AS_VC_AVC_Proxy_640_360_HPL3,           /* AVC_Proxy_640_360_HP@L3 */
    AS_VC_AVC_Proxy_640_360_HPL31,          /* AVC_Proxy_640_360_HP@L31 */
    AS_VC_AVC_Proxy_1280_720_MPL31,         /* AVC_Proxy_1280_720_MP@L31 */
    AS_VC_AVC_Proxy_1280_720_MPL32,         /* AVC_Proxy_1280_720_MP@L32 */
    AS_VC_AVC_Proxy_1280_720_MPL4,          /* AVC_Proxy_1280_720_MP@L4 */
    AS_VC_AVC_Proxy_1280_720_MPL41,         /* AVC_Proxy_1280_720_MP@L41 */
    AS_VC_AVC_Proxy_1280_720_HPL31,         /* AVC_Proxy_1280_720_HP@L31 */
    AS_VC_AVC_Proxy_1280_720_HPL32,         /* AVC_Proxy_1280_720_HP@L32 */
    AS_VC_AVC_Proxy_1280_720_HPL4,          /* AVC_Proxy_1280_720_HP@L4 */
    AS_VC_AVC_Proxy_1280_720_HPL41,         /* AVC_Proxy_1280_720_HP@L41 */
    AS_VC_AVC_Proxy_1920_1080_MPL4,         /* AVC_Proxy_1920_1080_MP@L4 */
    AS_VC_AVC_Proxy_1920_1080_MPL41,        /* AVC_Proxy_1920_1080_MP@L41 */
    AS_VC_AVC_Proxy_1920_1080_MPL42,        /* AVC_Proxy_1920_1080_MP@L42 */
    AS_VC_AVC_Proxy_1920_1080_HPL4,         /* AVC_Proxy_1920_1080_HP@L4 */
    AS_VC_AVC_Proxy_1920_1080_HPL41,        /* AVC_Proxy_1920_1080_HP@L41 */
    AS_VC_AVC_Proxy_1920_1080_HPL42,        /* AVC_Proxy_1920_1080_HP@L42 */
    AS_VC_AVC100_3840_2160_H422PL51,        /* AVC100_3840_2160_H422P@L51 */
    AS_VC_AVC140_3840_2160_H422PL51,        /* AVC140_3840_2160_H422P@L51 */
    AS_VC_AVC200_3840_2160_H422PL51,        /* AVC200_3840_2160_H422P@L51 */
    AS_VC_AVC140_3840_2160_H422PL52,        /* AVC140_3840_2160_H422P@L52 */
    AS_VC_AVC200_3840_2160_H422PL52,        /* AVC200_3840_2160_H422P@L52 */
    AS_VC_PD_SUB_STREAM,                    /* PD-SubStream */
    AS_VC_MPEG2HD                           /* MPEG2HD */
} AsVideoCodec;

#endif	// __ASCACMN_IMSG_H

/* end of $RCSfile: asca_imsg.h,v $
 * COPYRIGHT (C) 2009 SONY Corporation
 */
